<!-- START Cities block -->
<style type="text/css">
    span.ui-btn-inner { padding: 0.5em 3px; }
</style>
<?php
$gender = GENDER_FEMALE;
$is_agency = null;
// If there are some filters specified, than statistics will be counted
// for that criterias, otherwise total counts of escorts will be shown


// <editor-fold defaultstate="collapsed" desc="Sort Functions">
$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
// </editor-fold>

$this->total_count = Model_Statistics::getTotalCount($gender, $is_agency, null, false);

$cities =  $this->cities;

foreach ( $cities as $i => $city ) {
    if ( $i > 5 ) break;
    $cities[$i]->is_bold = true;
}

usort($cities, $fn_order_title);

$country_iso = Cubix_Application::getById()->iso;
$config = Zend_Registry::get('escorts_config');



//    var_Dump($this->total_count);
?>


<!-- END Cities block -->


<div id="pageTitle">
    <h1><?=__('choose_your_city'); ?></h1>
    <!--	<p> --><?//= __('more_escorts_in_whole_france',array("NUMBER" => $this->total_count))  ?><!--</p>-->
    <!--
	<a href="http://www.6annonce.com/?full_version=1" class="classic_btn"><span><?= __('switch_to_classic') ?></span></a>
	-->
</div>
<?
if ( count($cities) > 0 ): ?>

    <?php $i = 0; $grid_name = ''; ?>
    <table class="cities-list">
        <? foreach ( $cities as $i => $city ): ?>
            <?php
            switch( $i%3 ){
                case 0:
                    $grid_name = 'class="ui-block-a"';
                    break;
                case 2:
                    $grid_name = 'class="ui-block-c"';
                    break;
                case 1:
                    $grid_name = 'class="ui-block-b"';
                    break;
                default:
                    $grid_name = 'class="ui-block-a"';
                    break;
            }
            ?>

            <?php if( $i%3 == 0 ): ?>
                <tr class="ui-grid-b" class="dottedBorder">
            <?php endif; ?>

            <td <?= $grid_name; ?>>
                <a rel="external" style="margin: 0; border-radius: 0;" data-role="button" href="<?= $this->getLink('seo_ef_link_mobile', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $city->city_title ?> <!--<span>(<?//= $city->escort_count ?>)</span>--></a>
            </td>

            <?php if( $i%3 == 2 ): ?>
                </tr>
            <?php endif; ?>

            <?php $i += 1; ?>
        <? endforeach ?>
    </table>
<? else: ?>
    <p class="dottedBorder"><?= __('search_reviews_no_result'); ?></p>
<? endif ?>
<? if(!$this->is_all): ?>
    <!--<a data-role="button" href="--><?//= $this->getLink('morecities') ?><!--" class="more">--><?//= __('more'); ?><!--...</a>-->
    <a href="<?= $this->getLink('morecities') ?>" class="more"></a>
<? endif; ?>

